/* Reset some default browser styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Noto Sans Ol Chiki', sans-serif;
}

body {
  background-color: #f9f9f9;
  color: #333;
  line-height: 1.6;
}

header {
  background: #2c3e50;
  color: #ecf0f1;
  padding: 20px 0;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

header h1 {
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 10px;
}

header #searchInput {
  width: 100%;
  max-width: 100%;
  padding: 10px;
  font-size: 1rem;
  border: none;
  border-radius: 25px;
  outline: none;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

main {
  padding: 40px 0;
}

.container {
  max-width: 800px;
  margin: 0 auto;
  padding: 0 20px;
}

#dictionary {
  display: grid;
  grid-template-columns: 1fr;
  gap: 20px;
}

.entry {
  background: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  cursor: pointer;
}

.entry:hover {
  transform: translateY(-5px);
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}

.santali {
  font-weight: 550;
  font-size: 1.2rem;
}

.english {
  font-size: 1rem;
  color: #555;
}

footer {
  background: #2c3e50;
  color: #ecf0f1;
  padding: 10px 0;
  text-align: center;
  box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
}

.highlight {
  background-color: yellow;
}

/* Modal styles */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 600px;
  border-radius: 10px;
}

.modal .modal-content h2 {
  text-align: center;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.word-detail {
  margin-bottom: 10px;
}

.label {
  font-weight: bold;
  margin-bottom: 5px;
}

.word, .definition {
  font-size: 1.2rem;
}
/* Other styles */

.highlighted-text {
  font-weight: 500;
  color: hotpink;
}

.no-results {
  text-align: center;
}

.no-results h1 {
  color: #008cff;
}

footer .container a {
  text-decoration: none; 
  color: inherit;
}